Why FileUtils.rmdir ignores Errno::ENOTEMPTY ?

12/31/2013 06:59 AM - bdimych (Dmitry Bolshakov)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.0.0p247 (2013-06-27)

[i386-mingw32]

Backport:  

Description

It catches Errno::ENOTEMPTY and Errno::ENOENT and just does nothing.

Most of other FileUtils methods have option "force" which is false by default

but rmdir behaves as if it is true implicitly.

Imho it looks unexpected.

History

#1 - 01/03/2014 05:58 PM - vajrasky (Vajrasky Kok)

It is because we added :parents option in FileUtils.rmdir. See this ticket for detail: https://bugs.ruby-lang.org/issues/3178

I already created patch to improve this situation on that ticket.

#3 - 07/12/2019 03:57 AM - jeremyevans0 (Jeremy Evans)

- Status changed from Open to Closed

- Backport deleted (1.9.3: UNKNOWN, 2.0.0: UNKNOWN, 2.1: UNKNOWN)

This was fixed in 2635984cf2b9b7632f8b35afa2f29d219aba104a.  Now Ruby raises if a directory given cannot be removed.  It only ignores the

exception when deleting parent directories.

Issue 3178 should also been closed, but it is a Backport191 issue and I lack the ability to close it.
